2004-12-13  Kevin Buettner  <kevinb@redhat.com>

	* gdbarch.sh (remote_qGetTLSAddr_load_module_params): New method.
	* gdbarch.c, gdbarch.h: Regenerate.
	* solib-svr4.c, solib-svr4.h
	(svr4_nptl_remote_qGetTLSAddr_load_module_params): New function.
	* i386-linux-tdep.c (i386_linux_init_abi): Set
	remote_qGetTLSAddr_load_module_params method.
	* remote.c (remote_protocol_qGetTLSAddr): New static global variable.
	(set_remote_protocol_qGetTLSAddr_packet_cmd)
	(show_remote_protocol_qGetTLSAddr_packet_cmd)
	(remote_get_thread_local_address): New functions.
	(init_all_packet_configs): Initialize remote_protocol_qGetTLSAddr
	variable.
	(init_remote_ops): Initialize ``to_get_thread_local_address'' in
	target vector.
	(show_remote_cmd): Call show_remote_protocol_qGetTLS_Addr_packet_cmd().
	(_initialize_remote):  Add support for the "set remote
	get-thread-local-storage-address-packet" and "show remote
	get-thread-local-address-packet" commands.
	* frv-tdep.c (frv_gdbarch_init): Set
	remote_qGetTLSAddr_load_module_params method.
	* frv-tdep.h (frv_remote_qGetTLSAddr_load_module_params): Declare.
	* solib-frv.c (struct lm_info): Add field ``lm_addr''.
	(main_lm_addr): New static global.
	(frv_current_sos): Record link map address for shared libraries
	as well as main executable.
	(frv_remote_qGetTLSAddr_load_module_params)
	(frv_fetch_objfile_linkmap): New functions.

2004-12-08  Kevin Buettner  <kevinb@redhat.com>

	* dwarf2expr.c (execute_stack_op): Add limited DW_OP_piece support.
	* frv-tdep.c (frv_dwarf2_compose_register_pieces): New function.
	* gdbarch.sh (DWARF2_COMPOSE_REGISTER_PIECES): New gdbarch method.
	* gdbarch.h, gdbarch.c: Regenerate.

2004-10-06  Richard Sandiford  <rsandifo@redhat.com>

	* frv-tdep.c (frv_analyze_prologue): Fix use of uninitialized lim_pc.

2004-09-02  Alexandre Oliva  <aoliva@redhat.com>

	* configure.tgt: Match frv*-*-*linux*.
	(gdb_target_cpu): Map frv* to frv.

2004-07-30  Kevin Buettner  <kevinb@redhat.com>

	* frv-tdep.c (max_skip_non_prologue_insns): New static global.
	(refine_prologue_limit): New function copied verbatim from
	rs6000-tdep.c.
	(skip_prologue_using_sal): Delete.
	(frv_analyze_prologue): Use refine_prologue_limit() instead of
	skip_prologue_using_sal().

2004-05-17  Kevin Buettner  <kevinb@redhat.com>

	* symtab.c (fixup_section): Search section table when lookup by
	name fails.

2004-03-30  Kevin Buettner  <kevinb@redhat.com>

	* frv-tdep.h (fsr0_regnum, acc0_regnum, acc7_regnum, accg0123_regnum)
	(accg4567_regnum, msr0_regnum, msr1_regnum, gner0_regnum)
	(gner1_regnum, fner0_regnum, fner1_regnum, accg0_regnum)
	(accg7_regnum): New constants.
	(last_spr_regnum, last_pseudo_regnum): Update.
	(new_variant): Initialize names for fsr0, acc0-acc7, accg0-accg7,
	msr0, msr1, gner0, gner1, fner0, and fner1.
	(frv_pseudo_register_read, frv_pseudo_register_write): Add support
	for accg registers.
	(frv_register_sim_regno): Update spr_map[].

2004-03-05  Kevin Buettner  <kevinb@redhat.com>

	* testsuite/config/libremote_server.exp (gdb_load): Reboot target
	if board is considered "unreliable".

2004-03-03  Kevin Buettner  <kevinb@redhat.com>

	* breakpoint.c (adjust_breakpoint_address): Don't adjust
	breakpoint address for watchpoints.  Add new paramter bptype.
	Adjust all callers.

2004-03-03  Kevin Buettner  <kevinb@redhat.com>

	* testsuite/config/libremote_server.exp: New file.

2004-03-03  Kevin Buettner  <kevinb@redhat.com>

	* frv-tdep.c (frv_push_arguments, frv_saved_pc_after_call): Delete
	unused declarations.
	(find_func_descr): Call frv_fdpic_find_canonical_descriptor.
	* frv-tdep.h (frv_fdpic_find_canonical_descriptor): Declare.
	* solib-frv.c (elf/frv.h): Include.
	(struct lm_info): Add fields ``dyn_syms'', ``dyn_relocs'', and
	``dyn_reloc_count''.
	(main_executable_lm_info): New static global.
	(enable_break): Remove existing solib event breakpoints.
	(frv_relocate_main_executable): Initialize ``main_executable_lm_info''.
	(frv_relocate_main_executable): Initialize ``got_value'' field
	of ``main_executable_lm_info''.
	(frv_free_so): Free memory associated with ``dyn_syms'' and
	``dyn_relocs''.
	(find_canonical_descriptor_in_load_object)
	(frv_fdpic_find_canonical_descriptor): New functions.
	* Makefile.in (solib-frv.o): Update dependencies.

2004-02-20  Kevin Buettner  <kevinb@redhat.com>

	* frv-tdep.c (set_variant_scratch_registers): New function.
	(frv_gdbarch_init): Call set_variant_scratch_registers().
	* frv-tdep.h (scr0_regnum, scr1_regnum, scr2_regnum, scr3_regnum):
	New constants.
	* solib-frv.c (enable_break): Set a solib event breakpoint only
	when there's an interpreter section.

2004-02-16  Richard Sandiford  <rsandifo@redhat.com>

	* frv-tdep.c (frv_gdbarch_init): Handle bfd_mach_fr450.

2004-02-15  Kevin Buettner  <kevinb@redhat.com>

	* Makefile.in (frv-linux-tdep.o): Specify dependencies.
	(frv-tdep.o): Update dependencies.
	* frv-tdep.c (first_gpr_regnum, sp_regnum, fp_regnum)
	(struct_return_regnum, last_gpr_regnum, first_fpr_regnum)
	(last_fpr_regnum, pc_regnum, first_spr_regnum, psr_regnum, ccr_regnum)
	(cccr_regnum, fdpic_loadmap_exec_regnum, fdpic_loadmap_interp_regnum)
	(tbr_regnum, brr_regnum, dbar0_regnum, dbar1_regnum, dbar2_regnum)
	(dbar3_regnum, lr_regnum, lcr_regnum, iacc0h_regnum, iacc0l_regnum)
	(last_spr_regnum, frv_num_regs, first_pseudo_regnum, iacc0_regnum)
	(last_pseudo_regnum, frv_num_pseudo_regs): Move constant (enum)
	definitions to frv-tdep.h.
	(osabi.h): Include.
	(frv_call_dummy_words): Delete unused global.
	(struct gdbarch_tdep): Add new field sigcontext_reg_addr.
	(frv_set_sigcontext_reg_addr, find_func_descr)
	(frv_convert_from_func_ptr_addr, frv_sigtramp_frame_cache)
	(frv_sigtramp_frame_this_id, frv_sigtramp_frame_prev_register)
	(frv_sigtramp_frame_sniffer) : New functions.
	(frv_frame_unwind_cache): Delete unused declaration for prev_sp.
	(frv_sigtramp_frame_unwind): New static global.
	(frv_push_dummy_call): Add support for passing function
	descriptors to inferior functions.
	(frv_gdbarch_init): Add sigtramp sniffer.  Register
	frv_convert_from_func_ptr_addr().
	* frv-tdep.h (first_gpr_regnum, sp_regnum, fp_regnum)
	(struct_return_regnum, last_gpr_regnum, first_fpr_regnum)
	(last_fpr_regnum, pc_regnum, first_spr_regnum, psr_regnum, ccr_regnum)
	(cccr_regnum, fdpic_loadmap_exec_regnum, fdpic_loadmap_interp_regnum)
	(tbr_regnum, brr_regnum, dbar0_regnum, dbar1_regnum, dbar2_regnum)
	(dbar3_regnum, lr_regnum, lcr_regnum, iacc0h_regnum, iacc0l_regnum)
	(last_spr_regnum, frv_num_regs, first_pseudo_regnum, iacc0_regnum)
	(last_pseudo_regnum, frv_num_pseudo_regs): Moved from frv-tdep.c.
	(frv_set_sigcontext_reg_addr): New declaration.
	* solib-frv.c (enable_break2): Renamed from enable_break.
	(enable_break: New function.
	(frv_current_sos): Call enable_break2().
	(enable_break1_done, enable_break2_done): New static globals.
	(enable_break2): Set enable_break2_done.  Fix thinko in fetching
	address of r_debug struct.  Update diagnostics.
	(frv_clear_solib): Clear enable_break1_done and enable_break2_done.
	* config/frv/frv.mt (TDEPFILES): Add frv-linux-tdep.o.

2004-02-05  Kevin Buettner  <kevinb@redhat.com>

	* frv-tdep.c (frv_push_dummy_call): Set gr15 to GOT value
	for FDPIC ABI.
	* frv-tdep.h (frv_fdpic_find_global_pointer): Declare.
	* solib-frv.c (main_got): New function.
	(lm_base): Add debug messages.
	(frv_current_sos): Add debug messages.  Fix thinkos in traversing
	link map chain.
	(frv_find_global_pointer): Rename to frv_fdpic_find_global_pointer.
	(frv_fdpic_find_global_pointer): Use main_got() for determining
	GOT address of main executable instead of computing it inline.

2004-02-04  Kevin Buettner  <kevinb@redhat.com>

	* Makefile.in (elf_frv_h, frv_tdep_h): Define.
	(frv-tdep.o): Update dependencies.
	(solib-frv.o): Specify dependencies.
	* frv-tdep.c (elf-bfd.h, elf/frv.h, frv-tdep.h): Include.
	(fdpic_loadmap_exec_regnum, fdpic_loadmap_interp_regnum): New
	constants.
	(struct gdbarch_tdep): Add new field, frv_abi.
	(frv_abi, frv_fdpic_loadmap_addresses): New functions.
	(new_variant): Initialize frv_abi field of struct gdbarch_tdep.
	(set_variant_abi_fdpic): New function.
	(frv_analyze_prologue): Avoid erroring out to top level when
	a memory read error occurs.
	(frv_gdbarch_init): Detect FDPIC ABI.
	* frv-tdep.h: New file.
	* solib-frv.c: New file.
	* solib.c (so_list_iterator): New function.
	* solist.h (free_so): Add comment.
	(so_list_iterator): Declare.
	* config/frv/frv.mt (TDEPFILES): Add solib.o, solib-frv.o.
	* config/frv/tm-frv.h (solib.h): Include.

2004-01-08  Kevin Buettner  <kevinb@redhat.com>

	* target.c (default_region_size_ok_for_hw_watchpoint): Compare
	the region size against the size of a pointer, not the size of
	a register as given by DEPRECATED_REGISTER_SIZE.

2003-12-18  Kevin Buettner  <kevinb@redhat.com>

	* frv-tdep.c (skip_prologue_using_sal): New function.  Taken verbatim
	from mips-tdep.c.
	(frv_analyze_prologue): Rework to account for intermixed prologue /
	non-prologue instructions.

2003-12-18  Kevin Buettner  <kevinb@redhat.com>

	* infrun.c (step_into_function): Account for breakpoint adjustment
	when computing ``stop_func_start''.

2003-06-06  Andrew Cagney  <cagney@redhat.com>

	* arm-tdep.c: Merge with mainline GDB.
	* core-cip.c, i386-embed-tdep.c, i386-tdep.c: Ditto.
	* m68k-tdep.c, mips-tdep.c, remote-arm.c: Ditto.
	* rs6000-tdep.c, sparc-tdep.c: Ditto.
	* Makefile.in: Ditto.

2003-06-05  Andrew Cagney  <cagney@redhat.com>

	* cli/cli-gcov.c (extract_address_loc): Replace extract_address
	with extract_unsigned_integer.
	(target_read_v1_bb): Ditto.

2003-03-19  Andrew Cagney  <cagney@redhat.com>

	* arm-tdep.c (arm_gdbarch_init): Set
	deprecated_max_register_raw_size and
	deprecated_max_register_virtual_size.

2003-01-08  Andrew Cagney  <cagney@redhat.com>

	* mips-tdep.c (mips_gdbarch_init): Remove call to
	gdbarch_lookup_osabi.
	* core-cip.c (cisco_core_file_matches_executable_p): Change return
	type to int.

2002-12-18  Andrew Cagney  <ac131313@redhat.com>

	2002-08-29  Grace Sainsbury  <graces@redhat.com>
	* cli/cli-gmon.c (do_gmon_save): Use FOPEN_WB and FOPEN_AB.

2002-12-10  Andrew Cagney  <cagney@redhat.com>

	* i386-tdep.c (fetch_cisco_core_registers): Use memcpy.

2002-11-22  Andrew Cagney  <cagney@redhat.com>

	* mips-tdep.c (fetch_cisco_core_registers): Use deprecated_registers.
	(fetch_cisco_core_registers): Use deprecated_registers.
	* m68k-tdep.c (fetch_cisco_core_registers): Use deprecated_registers.

2002-11-21  Andrew Cagney  <cagney@redhat.com>

	* sparc-tdep.c (fetch_cisco_core_registers): Use deprecated_registers.
	* mips-tdep.c (fetch_cisco_core_registers): Use deprecated_registers.
	* rs6000-tdep.c (fetch_cisco_core_registers): Use deprecated_registers.
	* remote.c (fetch_register_using_p): Use deprecated_register_valid.

2002-11-21  Corinna Vinschen  <vinschen@redhat.com>

	* remote.c (remote_fileio_func_read): Enable longjmp when reading from
	stdin.

2002-09-19  Jim Blandy  <jimb@redhat.com>

	* gdb/gdb.texinfo (Character Sets): Note that GDB lacks internal
	support for multi-byte and variable-width character sets.

2002-08-09  Corinna Vinschen  <vinschen@redhat.com>

	* remote.c (remote_fileio_oflags_to_host): On systems supporting
	binary and text mode, open files always binary.

2002-08-08  Andrew Cagney  <ac131313@redhat.com>

	* gdbserver/configure: Regenerate.
	* gdbserver/config.in: Regenerate.
	* configure: Regenerate.

2002-08-03  Andrew Cagney  <ac131313@redhat.com>

	* core-ena.c: Include "gdb_string.h".
	* Makefile.in (core-ena.o): Update dependencies.
	
Fri Aug  2 17:38:15 2002  Andrew Cagney  <cagney@redhat.com>

	* Makefile.in: Reformat.

2002-07-16  Nick Clifton  <nickc@cambridge.redhat.com>

	* v850-tdep.c (v850_processor_type_table): Add bfd_mach_v850e1.

Wed Jul 10 11:43:11 2002  Andrew Cagney  <cagney@redhat.com>

	* cli/cli-decode.c (add_setshow_cmd_full): Do not return a result.

2002-06-28  Nick Clifton  <nickc@cambridge.redhat.com>

	* gdbserver/configure: Regenerate.

2002-06-21  Dave Brolley  <brolley@redhat.com>

	* frv-tdep.c (frv_extract_return_value): Now has type
	gdbarch_deprecated_extract_return_value_ftype.
	(frv_extract_struct_value_address): Now has type
	gdbarch_deprecated_extract_struct_value_address_ftype.
	(frv_gdbarch_init): Call set_gdbarch_deprecated_extract_return_value and
	set_gdbarch_deprecated_extract_struct_value_address.
	(frv_register_name): Now returns const char *.

2002-06-18  Corinna Vinschen  <vinschen@redhat.com>

	* remote.c (remote_fileio_ctrl_c_signal_handler): Replace
	call to longjmp() by call to throw_exception().
	(do_remote_fileio_request): New function containing base
	functionality of remote_fileio_request().
	(remote_fileio_request): Call do_remote_fileio_request()
	through catch_exceptions().

Mon Jun 17 16:45:58 2002  Andrew Cagney  <cagney@redhat.com>

	* cli/cli-decode.c (add_setshow_cmd): Handle a NULL show_list.
	* cli/cli-gmon.c (set_gmon_control_cmd): Add ``cmd'' parameter.
	(_initialize_cli_gmon): Use add_setshow_boolean_cmd.

2002-06-17  Corinna Vinschen  <vinschen@redhat.com>

	* remote.c (remote_fileio_sig_init, remote_fileio_sig_set,
	remote_fileio_sig_exit, remote_fileio_write_bytes,
	remote_fileio_to_fio_timeval, remote_fileio_func_gettimeofday,
	remote_fileio_mode_to_target, remote_fileio_ctrl_c_signal_handler,
	remote_fileio_init_fd_map, remote_fileio_resize_fd_map,
	remote_fileio_next_free_fd, remote_fileio_fd_to_targetfd,
	remote_fileio_map_fd, remote_fileio_close_target_fd,
	remote_fileio_is_stdio, remote_fileio_oflags_to_host,
	remote_fileio_mode_to_host, remote_fileio_errno_to_target,
	remote_fileio_seek_flag_to_host, remote_fileio_extract_long,
	remote_fileio_extract_int, remote_fileio_extract_ptr_w_len,
	remote_fileio_to_be, remote_fileio_to_fio_int,
	remote_fileio_to_fio_uint, remote_fileio_to_fio_mode,
	remote_fileio_to_fio_time, remote_fileio_to_fio_long,
	remote_fileio_to_fio_ulong, remote_fileio_to_fio_stat,
	remote_fileio_reply, remote_fileio_ioerror, remote_fileio_badfd,
	remote_fileio_return_errno, remote_fileio_return_success,
	remote_fileio_func_open, remote_fileio_func_close,
	remote_fileio_func_read, remote_fileio_func_write,
	remote_fileio_func_lseek, remote_fileio_func_rename,
	remote_fileio_func_unlink, remote_fileio_func_stat,
	remote_fileio_func_fstat, remote_fileio_request,
	remote_fileio_func_system, set_system_call_allowed,
	show_system_call_allowed): New functions.
	(remote_wait, remote_async_wait): Call remote_fileio_request() on
	'F' packet.
	(_initialize_remote): Add "set remote system-call-allowed" and
	"show remote system-call-allowed" commands to the UI.

2002-06-14  Martin M. Hunt  <hunt@redhat.com>

	* main.c: Create gdb_stdin, gdb_stdtargerr and gdb_stdtargin.

	* defs.h: Declare gdb_stdin, gdb_stdtargin and gdb_stdtargerr.

	* ui-file.c: Add read input function.
	(ui_file_new): set ui_file_fputs and ui_file_read to null functions.
	(null_file_read): New function.
	(null_file_fgets): New function.
	(ui_file_read): New function.
	(ui_file_fgets): New function.
	(set_ui_file_read): New function.
	(set_ui_file_fgets): New function.
	(stdio_file_read): New function.
	(stdio_file_fgets): New function.

	* ui-file.h: New types ui_file_read_ftype and
	ui_file_fgets_ftype.
	(set_ui_file_read): Declare.
	(set_ui_file_fgets): Declare.
	(ui_file_read): Declare.
	(ui_file_fgets): Declare.

2002-06-06  Dave Brolley  <brolley@redhat.com>

	* frv-tdep.c (frv_breakpoint_from_pc): Correct the return type to match
	the prototype.
	(frv_gdbarch_init): Remove calls to set_gdbarch_ieee_float and
	set_gdbarch_write_fp.

2002-05-19  Andrew Cagney  <ac131313@redhat.com>

	* remote.c (remote_Z_write_wp_packet_supported_p): Check that the
	current target is "remote".
	(remote_insert_watchpoint): Ditto.
	(remote_remove_watchpoint): Ditto.
	(remote_insert_hw_breakpoint): Ditto.
	(remote_remove_hw_breakpoint): Ditto.

2002-05-19  Andrew Cagney  <ac131313@redhat.com>

	From Fernando Nasser:
	* remote.c (remote_Z_write_wp_packet_supported_p): New function.
	(fetch_register_using_p): New function.
	(remote_fetch_registers): When register isn't in G packet, use `p'
	packet.

2002-05-19  Andrew Cagney  <cagney@redhat.com>

	* gdbtypes.c (build_builtin_type_vec128): Set TYPE_FLAG_VECTOR on
	the union.

2002-03-25  Andrew Cagney  <ac131313@redhat.com>

	* ser-tcp.c (tcp_open): Treat EAGAIN like EINPROGRESS when opening
	connection.  Work around problem in cygwin.

2002-01-18  Jim Blandy  <jimb@redhat.com>

	Add hardware watchpoint support for the FRV Robin and Venus.
 	* configure.tgt: The frv is no longer a pure multi-arch target.
 	* config/frv/tm-frv.h: New file.
	(TARGET_HW_BREAK_LIMIT, TARGET_HW_WATCH_LIMIT,
	TARGET_HAS_HARDWARE_WATCHPOINTS,
	TARGET_CAN_USE_HARDWARE_WATCHPOINT, STOPPED_BY_WATCHPOINT,
	target_insert_watchpoint, target_remove_watchpoint,
	target_insert_hw_breakpoint, target_remove_hw_breakpoint,
	target_stopped_data_address): #define.
	(frv_check_watch_resources, frv_stopped_data_address): Declare.
	(remote_insert_watchpoint, remote_remove_watchpoint,
	remote_insert_hw_breakpoint, remote_remove_hw_breakpoint):
	Declare, even though these should be declared in remote.h.
	* frv-tdep.c (brr_regnum, dbar0_regnum, dbar1_regnum,
	dbar2_regnum, dbar3_regnum): New register numbers.
	(struct gdbarch_tdep): New fields, describing the debugging
	facilities of this processor: `num_hw_watchpoints',
	`num_hw_breakpoints'.
	(new_variant): Give the new tdep fields a default value.
	(frv_check_watch_resources, frv_stopped_data_address): New
	functions.
	(frv_gdbarch_init): Initialize the new tdep fields appropriately
	for the given variant.

2002-01-17  Jim Blandy  <jimb@redhat.com>

	* frv-tdep.c (new_variant): Provide names for the debug registers.

	* frv-tdep.c (frv_frame_saved_pc): Never return the current value
	of the link register if this isn't the top frame --- just assume
	it was saved in the standard place.  Also, if the PC was saved,
	remember that frame->saved_regs contains the address at which it
	was saved, not the saved value itself.

	* frv-tdep.c (frv_frame_chain): If the frame pointer was saved,
	remember that frame->saved_regs contains the address at which it
	was saved, not the saved value itself.

	* frv-tdep.c (frv_push_arguments): Use `struct value *', not the
	obsolete value_ptr typedef.

Mon Jan 14 17:58:23 2002  Andrew Cagney  <cagney@redhat.com>

	Replace BIG_ENDIAN and LITTLE_ENDIAN with BFD_ENDIAN_BIG and
 	BFD_ENDIAN_LITTLE.

2002-01-02  Jim Blandy  <jimb@redhat.com>

	Don't use the ISO 8859-1 function to decide which ASCII characters
	we should print literally.
	* charset.c (ascii_print_literally, ascii_to_control): New
	functions.
	(_initialize_charset): Use them for the ASCII character set, not 
	iso_8859_print_literally and iso_8859_to_control.

2002-01-01  Jim Blandy  <jimb@redhat.com>

	* charset.c [HAVE_ICONV] (register_iconv_charsets): Don't register
 	the built-in character sets (iso-8859-1, ebcdic-us, and ibm1047)
 	here; they're available whether or not we have iconv.
	(_initialize_charset): Register the built-in character sets here.

2001-12-19  Elena Zannoni  <ezannoni@redhat.com>

        * rs6000-tdep.c (fetch_cisco_core_registers): Use gdbarch_tdep
        registers fields instead of hardcoded macros.

2001-12-19  Jim Blandy  <jimb@redhat.com>

	Add support for distinct host and target character sets.
	* charset.c, charset.h: New files.
	* c-exp.y: #include "charset.h".
	(yylex): Convert character and string literals to the target
	character set, before returning them as the semantic value of the
	token.
	* c-lang.c: #include "charset.h".
	(c_emit_char): Use charset-specific methods to recognize
	characters with backslash escape forms, to decide which characters
	to print literally and which to print using numeric escape
	sequences, and to convert target characters to host characters
	before printing.
	* utils.c: #include "charset.h".
	(no_control_char_error): New function.
	(parse_escape): Use charset-specific methods to recognize
	backslash escapes, parse `control character' notation, and convert
	characters from the host character set to the target character set.
	* configure.in: Set the default host character set.
	Check where to find iconv, and what its argument types might be.
	* acinclude.m4 (AM_ICONV): New macro, borrowed from GCC.
	* Makefile.in (SFILES): List charset.c.
	(COMMON_OBS): List charset.o.	
	(charset.o): New rule.
	(charset_h): New header dependency variable.
	(c-lang.o, utils.o, c-exp.tab.o): Note dependency on $(charset_h).
	(LIBICONV): New variable, set by configure.
	(CLIBS): Include $(LIBICONV) here.
	* aclocal.m4, config.in, configure: Regenerated.

2001-11-28  Andrew Cagney  <ac131313@redhat.com>

	* regcache.h (struct regcache): Declare.
	(regcache_read, regcache_write, regcache_collect): Add regcache
	parameter.
	(regcache_supply): Declare.
	
2001-11-20  Andrew Cagney  <cagney@redhat.com>

	* core-ena.c (process_corefile_notes): Initialize gpregs_offset to
	zero not NULL.

2001-11-17  Andrew Cagney  <ac131313@redhat.com>

	* core-ena.c (process_corefile_notes, gpregs_offset): Initialize.

2001-11-16  Michael Snyder  <msnyder@redhat.com>

	* iq2000-tdep.c (iq2000_pointer_to_address): Use new type flag
	TYPE_FLAG_CODE_SPACE to recognize a pointer that has been cast
	into the instruction address space.

Thu Aug 16 12:50:26 2001  Andrew Cagney  <cagney@b1.cygnus.com>

	* Makefile.in (frv-tdep.o): Move target to somewhere vaguely
 	reasonable.  This is tricky given that the .o targets are not
 	alphabetic.

2001-07-17  Jim Blandy  <jimb@redhat.com>

	* configure.tgt: Note frv as a pure multi-arch target.
	* config/frv/tm-frv.h: Deleted.

2001-06-26  Jim Blandy  <jimb@redhat.com>

	* frv-tdep.c (frv_register_raw_size, frv_register_virtual_size,
	frv_register_virtual_type, frv_register_byte,
	frv_breakpoint_from_pc, frv_frame_chain, frv_frame_saved_pc,
	frv_skip_prologue, frv_frame_init_saved_regs,
	frv_use_struct_convention, frv_extract_return_value,
	frv_extract_struct_value_address, frv_store_struct_return,
	frv_frameless_function_invocation, frv_saved_pc_after_call,
	frv_init_extra_frame_info, frv_push_arguments,
	frv_push_return_address, frv_store_return_value, frv_pop_frame):
	Make these functions static.
	
2001-06-21  Jeff Holcomb  <jeffh@redhat.com>

	* core-cip.c (add_cip_tasks): Use pid_to_ptid.
	(cmccLoadSegments): Declaration of bin_suffix should be a char *
	instead of const char * to match signature of add_cmd.

2001-06-14  Jim Blandy  <jimb@redhat.com>

	* frv-tdep.c (frv_gdbarch_init): Provide a value for
	gdbarch_frame_args_skip.

	* frv-tdep.c (frv_store_return_value): Correctly return values
	smaller than a full register.

2001-06-13  Jim Blandy  <jimb@redhat.com>

	* frv-tdep.c (frv_analyze_prologue): Remember that the `frame'
	argument is sometimes null.

	Find the return address correctly, even before we've saved it on
	the stack.
	* frv-tdep.c (struct frame_extra_info): New member:
	`lr_saved_on_stack'.
	(frv_frame_saved_pc): Analyze the prologue, if we haven't done
	so already.  If we haven't saved the return address on the stack
	yet, get it directly from LR.
	(frv_analyze_prologue): Stop scanning at frame->pc, like we're
	supposed to.  Record whether we've saved the return address on the
	stack yet in frame->extra_info->lr_saved_on_stack.
	(frv_frame_init_saved_regs): If we've already initialized our
	saved regs array, just return.
	(frv_init_extra_frame_info): Initialize lr_saved_on_stack.

	* frv-tdep.c (frv_gdbarch_init): Use
	pc_in_call_dummy_at_entry_point as our PC_IN_CALL_DUMMY function.

	Improve FRV prologue analysis.
	* frv-tdep.c (is_caller_saves_reg, is_callee_saves_reg,
	is_argument_reg): New functions.
	(frv_analyze_prologue): Expand to handle prologues generated by
	today's compiler.

	* frv-tdep.c (frv_num_regs, first_gpr_regnum, last_gpr_regnum,
	first_fpr_regnum, last_fpr_regnum, first_spr_regnum, pc_regnum,
	sp_regnum, fp_regnum, lr_regnum, psr_regnum, ccr_regnum,
	cccr_regnum, tbr_regnum, lcr_regnum, last_spr_regnum,
	struct_return_regnum): Turn these into an enum.

2001-06-11  Jim Blandy  <jimb@redhat.com>

	Add support for the FR400 architecture variant.
	* frv-tdep.c (first_gpr_regnum, last_gpr_regnum, first_fpr_regnum,
	last_fpr_regnum, first_spr_regnum, last_spr_regnum): New
	variables.
	(frv_register_names): Delete.
	(struct gdbarch_tdep): New declaration.
	(new_variant, set_variant_num_gprs, set_variant_num_fprs): New
	functions.
	(frv_register_name): Just get the information from the current
	struct gdbarch_tdep.
	(frv_gdbarch_init): Search the arches list, since we now have
	several variants.  If this is a variant we haven't seen before, 
	allocate a struct gdbarch_tdep for it, and initialize it.

	* frv-tdep.c: #include "regcache.h", to get definitions moved to
	that file.
	* Makefile.in (frv-tdep.o): Add dependencies on arch-utils.h and
	regcache.h.

2001-05-09  Kevin Buettner  <kevinb@redhat.com>

	* alpha-netapp.c (inferior_pid): Rename to inferior_ptid.  Use
	PIDGET where needed to fetch the actual pid.
	* core-cip.c (inferior_pid): Likewise.
	* ntap-thread.c (inferior_pid): Likewise.
	(save_inferior_pid, restore_inferior_pid): Deleted.  Renamed
	calls to save_inferior_pid() to save_inferior_ptid() to use
	the facilities now found in infrun.c.
	(netapp_find_new_threads): Use pid_to_ptid().

2001-03-22  Jeff Holcomb  <jeffh@redhat.com>

	* gdbserver/configure: Regenerate.

2001-02-24  Kevin Buettner  <kevinb@redhat.com>

	* configure.in (TDEPFILES transformation): Add ${extra_tdepfiles}
	to the front of the list instead of the end in order to avoid
	adding the list of extra files after a possible continuation
	line character (i.e. ``\'').
	* configure: Regenerate.

2001-03-02  David Smith  <dsmith@redhat.com>

	* frv-tdep.c (frv_register_name): Replace strsave with xstrdup.

Wed Feb 28 10:24:40 2001  Andrew Cagney  <cagney@redhat.com>

	* core-ena.c (process_corefile_notes): Add __FILE__ and __LINE__
 	parameters to internal_error calls.
	* mips-tdep.c (show_mipsfpu_command): Ditto.

2001-02-24  Kevin Buettner  <kevinb@redhat.com>

	* ntap-thread.c (netapp_thread_store_registers): Replace call to
	abort() with call to internal_error().

2001-02-22  William Cohen  <wcohen@redhat.com>

	* gdb/config/mips/tm-mips.h (TM_PRINT_INSN_MACH): Changed
              definition.

Tue Jan 30 12:46:14 2001  Andrew Cagney  <cagney@makita.cygnus.com>

	* ChangeLog, MAINTAINERS, Makefile.in, arc-tdep.c, breakpoint.c,
 	call-cmds.h, configure.in, corefile.c, dbxread.c, dcache.c,
 	dcache.h, defs.h, dwarf2read.c, dwarfread.c, exec.c, gdb_string.h,
 	gdbcore.h, i386-stub.c, i386nbsd-tdep.c, infcmd.c, inferior.h,
 	infptrace.c, infrun.c, lin-lwp.c, m68k-stub.c, m68knbsd-nat.c,
 	main.c, monitor.c, ns32k-tdep.c, objfiles.c, remote-adapt.c,
 	remote-array.c, remote-bug.c, remote-e7000.c, remote-eb.c,
 	remote-es.c, remote-mips.c, remote-mm.c, remote-nindy.c,
 	remote-os9k.c, remote-rdi.c, remote-rdp.c, remote-sds.c,
 	remote-sim.c, remote-st.c, remote-udi.c, remote-vx.c, remote.c,
 	sol-thread.c, solib-svr4.c, stack.c, standalone.c, symfile.c,
 	symfile.h, symtab.c, target.c, target.h, thread-db.c, thread.c,
 	top.c, ui-out.c, ui-out.h, v850ice.c, varobj.c, wince.c,
 	cli/cli-decode.c, config/xm-mpw.h, config/alpha/fbsd.mt,
 	config/alpha/tm-fbsd.h, config/i386/nbsd.mh, config/i386/nbsd.mt,
 	config/i386/nbsdelf.mh, config/i386/nbsdelf.mt,
 	config/i386/xm-i386mach.h, config/m32r/m32r.mt,
 	config/m68k/nbsd.mh, config/m68k/nbsd.mt, config/m68k/tm-nbsd.h,
 	config/m68k/xm-apollo68b.h, config/m68k/xm-hp300bsd.h,
 	config/mips/vr5000.mt, config/ns32k/nbsd.mh, config/ns32k/nbsd.mt,
 	config/ns32k/tm-umax.h, config/powerpc/nbsd.mh,
 	config/powerpc/nbsd.mt, config/rs6000/xm-rs6000.h,
 	config/sparc/nbsd.mh, config/sparc/nbsd.mt,
 	config/sparc/nbsdelf.mh, config/tic80/tic80.mt,
 	config/vax/xm-vaxult.h, config/vax/xm-vaxult2.h, doc/ChangeLog,
 	doc/agentexpr.texi, doc/gdb.texinfo, doc/gdbint.texinfo,
 	doc/stabs.texinfo, gdbserver/low-hppabsd.c, gdbserver/low-linux.c,
 	gdbserver/low-nbsd.c, gdbserver/low-sim.c, gdbserver/low-sparc.c,
 	gdbserver/low-sun3.c, gdbtk/ChangeLog, gdbtk/generic/gdbtk-cmds.c,
 	gdbtk/library/ChangeLog-2000, gdbtk/library/gdbmenubar.itcl,
 	gdbtk/library/gdbtoolbar.itcl, gdbtk/library/main.tcl,
 	gdbtk/library/prefs.tcl, gdbtk/library/srctextwin.itb,
 	gdbtk/library/srctextwin.ith, gdbtk/library/srcwin.itb,
 	gdbtk/library/tclIndex, mi/ChangeLog, mi/mi-cmd-disas.c,
 	rdi-share/ardi.c, rdi-share/ardi.h, rdi-share/hsys.c,
 	rdi-share/unixcomm.c, testsuite/ChangeLog,
 	testsuite/gdb.c++/ovldbreak.exp, testsuite/gdb.mi/ChangeLog-mi,
 	testsuite/lib/mi-support.exp: Merge with sourceware.
	* configure: Re-generate.
	* gdbtk/library/srcbar.tcl, gdbtk/library/srcmenubar.itcl,
 	gdbtk/library/srctoolbar.itcl: Delete.
	* alphafbsd-tdep.c, m68knbsd-tdep.c, memattr.c, memattr.h,
 	gdbtk/library/srcbar.itcl: Add.

2000-12-20  Michael Snyder  <msnyder@mvstp600e.cygnus.com>

	* frv-tdep.c (frv_gdbarch_init): Use default_frame_address.
	(frv_frame_args_address, frv_frame_locals_address): Delete.

2000-11-27  Nick Clifton  <nickc@redhat.com>

	* configure.host: Remove xscale sanitization.
	* configure.tgt: Remove xscale sanitization.


2000-11-09  David Smith  <dsmith@redhat.com>

	* core-cip.c: Added comment about incorrectly named commands.

2000-08-24  Angela Marie Thomas <angela@cygnus.com>

	* hpread.h: Fix typo from merge.

2000-08-08  Nick Clifton  <nickc@cygnus.com>

	* mips-tdep.c (mips_gdbarch_init): Scan for a .mdebug.XXX
	section and initialise the ABI from that, if found.

2000-07-29  Kevin Buettner  <kevinb@redhat.com>

	* rs6000-tdep.c (fetch_cisco_core_registers): Add PPC_ prefix to
	use of PS_REGNUM, CR_REGNUM, LR_REGNUM, CTR_REGNUM, and XER_REGNUM.

2000-07-29  Kevin Buettner  <kevinb@redhat.com>

	* core-cip.c, core-ena.c, core-ios.c: Protoize.

2000-07-20  Michael Snyder  <msnyder@cleaver.cygnus.com>

	* valarith.c (value_sub): Call check_typedef.

Wed Jul 19 13:20:10 2000  Andrew Cagney  <cagney@b1.cygnus.com>

	* dwarf2read.c (psymtab_to_symtab_1, dwarf2_build_psymtabs_hard):
 	Rename bfd_elf_get_arch_size to bfd_get_arch_size.

Fri Jun 23 18:30:58 2000  Andrew Cagney  <cagney@b1.cygnus.com>

	* dwarf2read.c (address_signed_p): New variable.
	(dwarf2_build_psymtabs_hard): Set according to
 	bfd_elf_get_sign_extend_vma.
	(psymtab_to_symtab_1): Update both address_size and
 	address_signed_p.
	(read_address): Sign extend the address when necessary.

2000-06-29  Michael Snyder  <msnyder@cleaver.cygnus.com>

	* mips-tdep.c (do_gp_register_row): New macro NUM_CORE_REGS
	may be used to override NUM_REGS, for the purpose of suppressing
	higher-numbered registers (eg. for a coprocessor) from the
	info register display.
	(mips_do_registers_info): Use new NUM_CORE_REGS macro.

2000-06-19  Kevin Buettner  <kevinb@redhat.com>

	* frv-tdep.c (frame_extra_info): New struct.
	(frv_analyze_prologue): Add cases to handle std, stq, stdi,
	and stqi instructions.  Also, keep track of the frame size
	and use this information to set fp_to_callers_sp_offset in struct
	frame_extra_info.
	(frv_init_extra_frame_info, frv_gdbarch_init): Rename
	stupid_useless_init_extra_frame_info to frv_init_extra_frame_info.
	(frv_pop_frame_regular): When restoring the stack pointer, take
	into account the offset from the current frame pointer to the
	caller's stack pointer.
	(frv_gdbarch_init): Use standard_coerce_float_to_double
	for COERCE_FLOAT_TO_DOUBLE.

Tue Jun 13 20:58:17 2000  Andrew Cagney  <cagney@b1.cygnus.com>

	* mips-tdep.c (fetch_cisco_core_registers): Replace #if
 	GDB_TARGET_IS_MIPS64 if run-time test.

Thu Jun  8 16:44:02 2000  Andrew Cagney  <cagney@b1.cygnus.com>

	For MIPS config, always enable GDB_MULTI_ARCH. Delete MIPS_EABI.

Thu Jun  8 14:49:57 2000  Andrew Cagney  <cagney@b1.cygnus.com>

	For MIPS config, delete MIPS_DEFAULT_FPU_TYPE.  Set at runtime.
	* mips-tdep.c (mips_gdbarch_init): Update.

Thu Jun  8 14:13:00 2000  Andrew Cagney  <cagney@b1.cygnus.com>

	For MIPS, delete TARGET_BYTE_ORDER_DEFAULT.

Tue Jun  6 17:19:17 2000  Andrew Cagney  <cagney@b1.cygnus.com>

	For MIPS, define TARGET_BYTE_ORDER_SELECTABLE_P once.

Tue Jun  6 15:45:13 2000  Andrew Cagney  <cagney@b1.cygnus.com>

	Delete all definitions of TARGET_MONITOR_PROMPT.

2000-05-27  Kevin Buettner  <kevinb@redhat.com>

	* core-cip.c, core-ena.c, core-ios.c: Remove PARAMS.

Thu May 11 20:14:14 2000  Andrew Cagney  <cagney@amy.cygnus.com>

	* sparc-tdep.c (gdb_print_insn_sparc): Only update
 	tm_print_insn_info.mach when multi-arch.

Thu Apr 27 14:10:21 2000  Andrew Cagney  <cagney@b1.cygnus.com>

	* frv-tdep.c: Include "arch-utils.h".

2000-04-18  Jim Blandy  <jimb@redhat.com>

	* frv-tdep.c (frv_gdbarch_init): Set IEEE_FLOAT value.  We can't
	have it default to 1 in gdbarch.sh, because that's not compatible
	with older targets.

2000-04-17  Jim Blandy  <jimb@redhat.com>

	* config/frv/tm-frv.h (IEEE_FLOAT): Delete definition; this is
	controlled by gdbarch now.

2000-04-14  Jim Blandy  <jimb@redhat.com>

	Bring IEEE_FLOAT under gdbarch's control.
	* config/frv/tm-frv.h (IEEE_FLOAT): For all ports that #define
	IEEE_FLOAT, make sure they give it the value (1).

2000-03-20  Kevin Buettner  <kevinb@redhat.com>

	* ia64-tdep.c (ia64_use_struct_convention,
	ia64_pop_frame_regular, ia64_extract_return_value,
	ia64_extract_struct_value_address, ia64_store_struct_return):
	Implement.
	(ia64_push_arguments): Handle floating point arguments; handle
	struct returns; fix bug in which slotnum was not getting
	advanced.
	(ia64_store_return_value): Handle floating point return values.
	* config/ia64/tm-ia64.h (IA64_FR8_REGNUM, IA64_FR9_REGNUM,
	IA64_FR10_REGNUM, IA64_FR11_REGNUM, IA64_FR12_REGNUM,
	IA64_FR13_REGNUM, IA64_FR14_REGNUM, IA64_FR15_REGNUM,
	IA64_FR16_REGNUM): Define.

2000-03-14  Kevin Buettner  <kevinb@redhat.com>

	* ia64-linux-nat.c (u_offsets, supply_gregset): Add PT_CR_IFS which
	is the offset for the CFM.  Change the PFS offset to be PT_AR_PFS.
	(ia64_cannot_fetch_register): Return true when register number
	out of range.
	(ia64_cannot_store_register): Return true when register number
	is out of range.  Also, don't permit stores to bspstore.
	* ia64-tdep.c (ia64_num_regs): Changed from 589 to 590.
	(ia64_call_dummy_words): Use and "empty" call dummy in order
	to use the generic machinery.
	(ia64_register_names): Add "cfm".
	(frame_info): Rename pfs field to cfm.  Changed all uses
	in the code.
	(ia64_extract_return_value, ia64_push_arguments,
	ia64_push_return_address, ia64_store_return_value): Partially
	implement.
	(ia64_pop_frame): Implement.
	(ia64_gdbarch_init): Change gdbarch setup back to using generic
	call dummies.
	* config/ia64/tm-ia64.h (NUM_REGS): Change to 590.
	(GDBSERVER_RESUME_REGS): Change PFS to CFM.
	(IA64_CFM_REGNUM): New register.
	* config/ia64/tm-linux.h (tm-linux.h): Include.
	(TARGET_ELF64): Defined.
	* gdbserver/low-linux.c (u_offsets): Add PT_CR_IFS which
	represents the CFM.  Change offset representing PFS from
	PT_CR_IFS to PT_AR_PFS.

2000-02-22  Jim Blandy  <jimb@redhat.com>

	* config/frv/tm-frv.h (COERCE_FLOAT_TO_DOUBLE): Delete definition;
	this is handled by the multi-arch machinery now.

Mon Feb 21 20:47:28 2000  Andrew Cagney  <cagney@b1.cygnus.com>

	* Makefile.in (mi-main.o): Don't compile with -Werror.

2000-02-17  Kevin Buettner  <kevinb@redhat.com>

	* ia64-tdep.c, config/ia64/linux.mh, config/ia64/linux.mt,
	config/ia64/tm-linux.h:  Use "IA-64" in comments instead of
	other variants that are missing the hyphen or use lowercase
	letters instead of uppercase letters.

	* ia64-tdep.c (ia64_get_saved_register): Provide the correct
	value of bsp.

2000-02-14  Jim Blandy  <jimb@redhat.com>

	* frv-tdep.c: Add Emacs magic to the bottom of this file, so that
	Emacs knows that log entries go in ChangeLog.Cygnus.

2000-02-09  Jason Merrill  <jason@casey.cygnus.com>

	* dwarf2read.c (die_is_declaration): New fn.
	(read_structure_scope): Use it.

Sun Feb 13 10:34:48 2000  Andrew Cagney  <cagney@b1.cygnus.com>

	Make Kevin Buettner the ia64 maintainer.

Wed Feb  9 18:59:16 2000  Andrew Cagney  <cagney@b1.cygnus.com>

	* wince.c: Include "gdb_wait.h" instead of <wait.h>
 	or <sys/wait.h>.

2000-02-08  Jim Blandy  <jimb@redhat.com>

	* Makefile.in (frv-tdep.o): Add dependencies.

2000-02-04  Jim Blandy  <jimb@redhat.com>

	* frv-tdep.c (frv_analyze_prologue): The function Stan hoped would
 	never need to exist.  Analyze the machine instructions that occur
 	in the prologue of FRV functions, to help us find callee-saved
 	registers and place breakpoints properly when debugging
 	information is weak.
	(frv_skip_prologue): Doc fixes.  Call frv_analyze_prologue if the
	debug info isn't helpful.
	(frv_frame_init_saved_regs): Call frv_analyze_prologue to fill in
	more information about saved registers.

2000-01-24  Kevin Buettner  <kevinb@redhat.com>

	* ia64-tdep.c (ia64_num_regs): Bumped to 589.
	* config/ia64/tm-ia64.h (NUM_REGS): Likewise.
	(IA64_NAT0_REGNUM, IA64_NAT31_REGNUM, IA64_NAT32_REGNUM,
	IA64_NAT127_REGNUM): Define.
	* ia64-linux-nat.c, gdbserver/low-linux.c (u_offsets): Added
	initializers for the NAT bits.
	* ia64-tdep.c (ia64_register_names): Added names for the nat bits
	so they may be accessed like registers.
	(examine_prologue): Track predicate register and unat register spills.
	(ia64_get_saved_register): Provide access to predicate registers and
	NAT bits for the general registers.  [In both cases, access is
	read-only at the present time.]

2000-01-19  Kevin Buettner <kevinb@cygnus.com>

	* ia64-tdep.c (examine_prologue): Track spills of unat, r4-r7.

2000-01-17  Kevin Buettner <kevinb@cygnus.com>

	* config/ia64/nm-linux.h (ATTACH_DETACH): Define.  [From David
	Mosberger.]

	* ia64-tdep.c (ia64_register_vonvertible, floatformat_ia64_ext,
	ia64_register_convert_to_virtual, ia64_register_convert_to_raw,
	ia64_frame_args_address, ia64_frame_locals_address): Define.
	(examine_prologue): Handle floating point register spills.
	(ia64_find_saved_registers): Added code for finding spilled
	registers.
	(ia64_get_saved_register): Handle IA64_VFP_REGNUM.

2000-01-09  Christopher Faylor  <cgf@cygnus.com>

	* configure.tgt: Add arm-wince-pe target.
	* wince-stub.c (WinMain): Fix winsock initialization.
	* wince.c: Use dcache to speed up network communication.  Add ARM
	support.
	* config/arm/tm-arm.h: Add wince support.
	* config/arm/arm-wince-pe.mt: New file.

Tue Jan  4 16:46:15 2000  Andrew Cagney  <cagney@b1.cygnus.com>

	* configure.tgt: The file core-ena.c can't be compiled in a
 	multi-arch configuration.  Disable when mips64vr4xxx or
 	mips64vr5xxx.

1999-12-10  Kevin Buettner  <kevinb@cygnus.com>

	* ia64-tdep.c (instruction_type): New enum.
	(SLOT_MULTIPLIER, BUNDLE_LEN): Moved definitions up higher
	in the file.
	(struct frame_extra_info): Added new fields after_prologue,
	mem_stack_frame_size, and fp_reg.
	(template_encoding_table): New array.
	(fetch_instruction, examine_prologue): New functions.
	(ia64_frame_chain, ia64_frame_saved_pc, ia64_frame_init_saved_regs,
	ia64_init_extra_frame_info): Revised.
	(skip_prologue): Implemented.
	(ia64_find_saved_register): Added case for IA64_IP_REGNUM.
	(ia64_get_saved_register): Added cases for IA64_IP_REGNUM and
	SP_REGNUM.
	(ia64_gdbarch_init): Redefine what read_fp() and write_fp() do.

Wed Dec  8 19:56:48 1999  Andrew Cagney  <cagney@b1.cygnus.com>

	* ia64-tdep.c (ia64_gdbarch_init): Update. Rename
	default_frame_chain_valid to file_frame_chain_valid.  Rename
	alternate_frame_chain_valid to func_frame_chain_valid.

Wed Dec  8 19:56:48 1999  Andrew Cagney  <cagney@b1.cygnus.com>

	* frv-tdep.c (frv_gdbarch_init): Update. Rename
	default_frame_chain_valid to file_frame_chain_valid.  Rename
	alternate_frame_chain_valid to func_frame_chain_valid.

Wed Dec  8 16:26:27 1999  Andrew Cagney  <cagney@b1.cygnus.com>

	* ia64-tdep.c (ia64_gdbarch_init): Ditto. Swap
	implementations.  The change Mon Nov 30 11:18:48 1998 Andrew
	Cagney <cagney@chook> which converted several macros to
	functions was backwards.

Wed Dec  8 16:26:27 1999  Andrew Cagney  <cagney@b1.cygnus.com>

	* frv-tdep.c (frv_gdbarch_init): Ditto.Swap implementations.
	The change Mon Nov 30 11:18:48 1998 Andrew Cagney
	<cagney@chook> which converted several macros to functions was
	backwards.

1999-11-30  Frank Ch. Eigler  <fche@cygnus.com>

	* config/sid.exp (sid_start): Set SID_LIBRARY_PATH instead of
	LTDL_LIBRARY_PATH.

Tue Nov 30 16:20:42 1999  Andrew Cagney  <cagney@b1.cygnus.com>

	* config/sid.exp (sid_start): New procedure.  Contains most of
 	gdb_start.
	(sid_exit): Ditto with gdb_exit.
	(send_target_sid): Ditto with gdb_target_sid.

Thu Nov 18 18:12:48 1999  Andrew Cagney  <cagney@b1.cygnus.com>

	* wince.c (_initialize_inftarg): Replace strdup with xstrdup.

1999-11-17  Kevin Buettner  <kevinb@cygnus.com>

	* ia64-tdep.c (rse_address_add): New function.
	(ia64_frame_chain, ia64_frame_saved_pc): Implement.
	(ia64_saved_pc_after_call): Use IA64_R0_REGNUM instead of lr_regnum.
	(ia64_init_extra_frame_info): Account for RSE NaT collection bits.
	Also, fixed bsp calculation for non-outermost frames.

1999-11-16  Kevin Buettner  <kevinb@cygnus.com>

	* ia64-linux-nat.c (ia64_cannot_fetch_register,
	ia64_cannot_store_register): Fixed typo which was preventing
	registers from being fetched or stored.

1999-11-15  Kevin Buettner  <kevinb@cygnus.com>

	* ia64-tdep.c (ia64_frame_init_saved_regs): Account for NaT
	collection bits.

	Add/renumber registers to match gcc/config/ia64/ia64.h:
	* ia64-linux-nat.c, gdbserver/low-linux.c (u_offsets):  Add
	predicate register offsets and virtual frame pointer and
	virtual return address pointer offsets.
	* config/ia64/tm-ia64.h: Move/rename _REGNUM definitions; move
	_REGNUM definitions so that they are visible to both gdb and
	gdbserver; Rename by adding an IA64_ prefix.
	(IA64_PR0_REGNUM, IA64_PR1_REGNUM, ..., IA64_PR63_REGNUM,
	IA64_VFP_REGNUM, IA64_VRAP_REGNUM):  New defines.
	* ia64-tdep.c: Remove _REGNUM definitions.
	(ia64_register_names):  Added predicate register definitions
	and vfp and vrap.
	(ia64_num_regs): Adjust for new number of registers.
	(fp_regnum, lr_regnum): Set to IA64_VFP_REGNUM and
	IA64_VRAP_REGNUM respectively.
	(ia64_frame_init_saved_regs): Add vfp/vrap support.

	Add core file support:
	* ia64-linux-nat.c (supply_gregset): Implement.
	(fill_gregset): Add warning message about function being
	unimplemented.

1999-11-12  Mark Salter  <msalter@cygnus.com>

	* config/frv/tm-frv.h (COERCE_FLOAT_TO_DOUBLE): Define.

	* frv-tdep.c: Add more register names

1999-11-08  Mark Salter  <msalter@cygnus.com>

	* config/frv/tm-frv.h: Define IEEE_FLOAT.

	* frv-tdep.c (frv_push_arguments): Make sure stack is 8-byte aligned.
	(frv_remote_translate_xfer_address): New function.
	(frv_frame_args_address): New function.
	(frv_frame_locals_address): New function.
	(frv_gdbarch_init): Install frv_remote_translate_xfer_address,
	frv_frame_args_address, and frv_frame_locals_address.

1999-11-04  Kevin Buettner  <kevinb@cygnus.com>

	* ia64-tdep.c (ia64_get_saved_register, ia64_find_saved_register):
	New functions.
	(PSR_REGNUM): Renamed from IPSR_REGNUM.
	(register_names): Rename ipsr to psr.  Also renamed variables
	with ipsr in their name in a number of places.
	(struct frame_extra_info): Define.
	(SLOT_MULTIPLIER): Change from 4 to 1.
	(ia64_breakpoint_from_pc): Don't mask address.
	(ia64_frame_init_saved_regs, ia64_init_extra_frame_info):
	Implemented (partially).
	(ia64_gdbarch_init): Accomodate both big endian and little endian
	ia64 architectures.
	(ia64_gdbarch_init): Added registration of methods for
	get_saved_register; removed registration of generic methods for
	read_pc, write_pc, and get_saved_register.
	(ia64_gdbarch_init): Set tm_print_insn_info.bytes_per_line.
	* config/ia64/linux.mt (GDBSERVER_LIBS): Added.
	* config/ia64/tm-ia64.h (PSR_REGNUM): Renamed from IPSR_REGNUM
	for gdbserver.
	(GDBSERVER_RESUME_REGS): Added BSP_REGNUM and PFS_REGNUM to the list.
	Renamed IPSR_REGNUM to PSR_REGNUM.
	* gdbserver/low-linux.c (u_offsets): Use PT_CR_IFS instead of
	PT_AR_PFS to obtain the pfs value.
	* ia64-linux-nat.c (u_offsets): Ditto.

1999-10-28  Kevin Buettner  <kevinb@cygnus.com>

	* config/ia64/nm-linux.h (REGISTER_U_ADDR) [GDBSERVER]: Provide
	a definition for gdbserver.
	(PTRACE_ARG3_TYPE, PTRACE_XFER_TYPE): Define.
	* config/ia64/tm-ia64.h [GDBSERVER]: ifdef'd the gdbserver
	specific parts of the file.  Also, removed a lot of defines
	which are unimportant to gdbserver.
	* config/ia64/tm-linux.h (IA64_GNULINUX_TARGET): Define.

	* ia64-tdep.c, ia64-linux-nat.c: New files.

1999-10-28  Kevin Buettner  <kevinb@cygnus.com>

	(u_offsets, ia64_register_u_addr, initialize_arch): New code
	for IA64_GNULINUX_TARGET.

1999-10-24  Fred Fish  <fnf@cygnus.com>

	* core-cip.c (libbfd.h): Include.
	(value.h): Include.
	(gdbthread.h): Include.
	(symfile.h): Include.
	(objfiles.h): Include.
	(MAX_TCB_NAME): Delete.
	(COREFILE_BASE): Define to 0x80000000.
	(typedef _int16): Delete.
	(typedef _int32): Delete.
	(typedef _uint8): Delete.
	(typedef _uint16): Delete.
	(typedef _uint32): Delee
	(typedef _uint64): Delete.
	(typedef cisco_uintptr) Delete.
	(struct core_context): Delete.
	(typedef taskinfo): Delete.
	(tcb_nameptr_offset): Delete.
	(tasks): Delete.
	(numTasks): Delete.
	(corefile): Delete.
	(crash_info_loc): Delete.
	(NUM_SECTIONS): Define using section_names array.
	(cmcc_init_offsets): Now takes a "bfd *".
	(remap_cmcc_memory_addr): Delete function and prototype.
	(mmap_corefile): Delete function and prototype.
	(find_registers): Now returns a file_ptr.
	(addr_to_offset): New function and prototype.
	(get_seg_info): Now takes "CORE_ADDR *".
	(cisco_core_file_failing_command): Add prototype.
	(cisco_core_file_failing_signal): Add prototype.
	(create_data_sections): Stat corefile and use it's length.
	(add_cip_tasks): Major rewrite to use BFD instead of mmap.
	(cmcc_init_offsets): Use BFD instead of mmap'd corefile.
	(find_registers): Use BFD instead of mmap'd corefile.
	(cisco_core_file_failing_signal): Returns int, not "char *".
	(cisco_cip_check_format): Remove calls to mmap_corefile and
	find_registers.
	(get_num_segments): Remove use of corefile.map.  Change
	name_ptr and version_ptr to be CORE_ADDR instead of "char *".
	(cmcc_get_string): Remove unused variable "size".
	(get_seg_info): Change offsets parameter to be "CORE_ADDR *".
	Change version_ptr and section_ptr to be type CORE_ADDR.
	Use NUM_SECTIONS instead of hardcoded 8.
	(cmccLoadSegments): Change offsets to be array of CORE_ADDR.
	Be sure to initialize offsets to zeros prior to each time it
	is reused.  Use NUM_SECTIONS instead of hardcoded 8.
	(printLoadMap): Change offsets to array of CORE_ADDR.
	Initialize offsets to zeros prior to each reuse.
	Use NUM_SECTIONS instead of hardcoded 8.
	(_initialize_cisco_cip_core): Returns void, not int.

1999-10-22  Fred Fish  <fnf@cygnus.com>

	* core-ios.c (_initialize_cisco_ios_core): Remove extern definition.
	(remote.h): Include, need for remote_cisco_objfile_relocate decl.
	(CRASH_VERSION): Remove unused define.
	(validate_cisco_classic_core): Remove unused variables
	crashinfo_offset, st_core, and status.  Remove call to munmap.
	Enable printing of crash reason but move to end of function.
	Fix call to remote_cisco_objfile_relocate, wrong number of args.
	Remove initialization of corefile.registers and corefile.base.
	(struct core_context): Remove unneeded struct declaration.
	(corefile): Remove unneeded struct definition.
	(mmap_corefile): Remove unneeded function.
	(cisco_ios_core_sniffer): Remove call to mmap_corefile.
	(_initialize_cisco_ios_core): Remove unused local variable c.

1999-10-18  Kevin Buettner  <kevinb@cygnus.com>
	* configure.host, configure.tgt: Added entries for
	ia64 linux.
	* ia64-linux-nat.c, ia64-tdep.c, config/ia64/linux.mh,
	config/ia64/linux.mt, config/ia64/nm-linux.h, config/ia64/tm-ia64.h,
	config/ia64/tm-linux.h, config/ia64/xm-linux.h: New files.

1999-10-07  Fred Fish  <fnf@cygnus.com>

	* wince.c (handle_load_dll): Call symbol_file_add with
	OBJF_SHARED in flags bit, rather than 1 in old is_solib arg.
	* wince.c (handle_load_dll): No longer pass zero for user
	loaded, now defaults to zero in flags.

Thu Oct  7 18:36:51 1999  Andrew Cagney  <cagney@b1.cygnus.com>

	* core-ios.c (_initialize_cisco_ios_core): Fix function return
 	type.  Add extern declaration.

Wed Oct  6 17:15:07 1999  Andrew Cagney  <cagney@b1.cygnus.com>

	* Makefile.in (core-cip.o): For moment, don't try to compile with
 	-Werror.  See Makefile.in.

1999-09-30  Fred Fish  <fnf@cygnus.com>

	* wince.c (handle_load_dll): Adjust call to symbol_file_add.  Add
	section_addrs, zero it.  Use section_addrs to pass text addr.

1999-09-29  Fred Fish  <fnf@cygnus.com>

	* wince.c (child_create_inferior): Replace cast "(CORE_ADDR) - 1"
	with the more obviously intended expression "(CORE_ADDR) -1".

1999-09-28  Fred Fish  <fnf@cygnus.com>

	* core-cisco.c, cisco.h: Remove obsolete files.
	* core-cip.c, core-ena.c, core-ios.c: New files.

	* Makefile.in (core-cisco.o): Remove target.
	(core-cip.o, core-ena.o, core-ios.o): New targets.
	* configure.in (extra_tdepfiles): Insert into config.status.
	(TDEPFILES): Add extra_tdepfiles to end of list.
	* configure: Regenerated.
	* configure.tgt (i[3456]86-*-elf,i960-*-coff*,m68k-*-aout,
	mips*-*-elf*,powerpc-*-eabi,sparc64-*-elf*):  Add corelow.o,
	core-cip.o, core-ena.o, and core-ios.o to extra_tdepfiles.

	* gdbcore.h (fetch_cisco_core_registers): Add prototype.
	* i386-tdep.c (fetch_cisco_core_registers): New function.
	* i960-tdep.c (fetch_cisco_core_registers): New function.
	* m68k-tdep.c (fetch_cisco_core_registers): New function.
	* mips-tdep.c (fetch_cisco_core_registers): New function.
	* rs6000-tdep.c (fetch_cisco_core_registers): New function.
	* sparc-tdep.c (fetch_cisco_core_registers): New function.

Wed Sep 22 16:10:32 1999  Christopher Faylor <cgf@cygnus.com>

	* configure.tgt: Generalize Windows CE target detection.
	* wince.c (thread_rec): Don't suspend current thread.
	(handle_output_debug_string): Deal with UNICODE strings.
	(handle_exceptions): Ignore first chance exceptions.
	(get_child_debug_event): Record this thread earlier.
	(wince_initialize): Use defined stub name.
	(child_create_inferior): Initialize main thread here.
	* config/sh/sh-pe.mt: Define stub name.
	* config/mips/mips-pe.mt: Ditto.

Mon Sep 20 17:00:06 1999  Andrew Cagney  <cagney@b1.cygnus.com>

	* core-cisco.c: Include "remote.h".
	* Makefile.in (core-cisco.o): Add dependency list.

1999-08-15  Fred Fish  <fnf@cygnus.com>

	* core-cisco.c (get_seg_info): Make static.

1999-08-20  Stan Shebs  <shebs@andros.cygnus.com>

	* frv-tdep.c (frv_push_arguments): Comment out printfs.
	(frv_pop_frame_regular): Call flush_cached_frames.

1999-08-10  Stan Shebs  <shebs@andros.cygnus.com>

	* frv-tdep.c (struct_return_regnum): New global.
	(frv_skip_prologue): Always skip by at least 20.
	(frv_push_arguments): Handle stack arguments.

1999-08-06  Stan Shebs  <shebs@andros.cygnus.com>

	* frv-tdep.c (frv_call_dummy_words): New global.
	(frv_skip_prologue): Use symbolic info.
	(frv_use_struct_convention, frv_store_struct_return,
	frv_push_return_address): New functions.
	(frv_push_arguments): Make work for register arguments.
	(frv_pop_frame_regular): New function.
	(frv_pop_frame): Use it.
	(frv_gdbarch_init): Register the new functions and set other
	arch entries necessary for inferior function calls.

Wed Aug  4 15:51:35 1999  David Taylor  <taylor@texas.cygnus.com>

	* remote.c (remote_cisco_objfile_relocate): make non static.
	* core-cisco.c (validate_cisco_ena_core, core_cisco_open):
	cast arguments to make_cleanup (lint).
	(validate_cisco_classic_core): call remote_cisco_objfile_relocate
	instead of objfile_relocate_from_offsets.
	(myclose): new function.
	(core_cisco_open): register myclose instead of close with
	make_cleanup (lint).
	(core_cisco_ios_get_registers): change &registers to registers.

1999-07-29  Stan Shebs  <shebs@andros.cygnus.com>

	* frv-tdep.c: Clean up warnings.
	(frv_frame_init_saved_regs): Fill in saved frame pointer
 	correctly.

1999-07-19  Stan Shebs  <shebs@andros.cygnus.com>

	* frv-tdep.c: Include gdbcore.h.
	(pc_regnum, lr_regnum): New globals, use everywhere.
	(frv_register_names): Construct dynamically.
	(frv_register_name): Fill in frv_register_names.
	(frv_frame_chain, frv_frame_saved_pc): Fix.
	(frv_skip_prologue): Adjust by 20 for now.

1999-07-15  Stan Shebs  <shebs@andros.cygnus.com>

	* frv-tdep.c: Add many more arch definition functions.
	(frv_num_regs): Set to 147, to match GCC.
	(frv_register_names): Add corresponding names.

Wed Jul 14 19:29:11 1999  David Taylor  <taylor@texas.cygnus.com>

	* core-cisco.c, cisco.h: new files, contributed by Cisco.

1999-07-13  Stan Shebs  <shebs@andros.cygnus.com>

	* config/frv/tm-frv.h (GDB_MULTI_ARCH): Define.
	* frv-tdep.c: Add basic architecture definition.

1999-05-28  Christopher Faylor  <cgf@cygnus.com>

	* wince-stub.c: Remove superfluous SH4 definition.
	* wince.c: Add remote_add_host flag to control whether
	host gets tacked on as stub argument.
	(to_time_t): Rewrite slightly to work around compiler
	strangeness.
	(upload_to_device): Use openp to find files on the PATH.
	(wince_initialize): Call the stub "wince-stub".  Add
	hostname as stub argument under control of above flag.
	Improve error message slightly.
	(undoSStep): New function (under MIPS conditional).
	(wince_software_single_step): Ditto.
	(set_upload_type): Don't output options if not invoked
	from tty.
	(_initialize_inftarg): Add set/show commands for remote host
	argument.
	* config/mips/tm-mips.h: Add Windows CE definitions.
	* config/mips/mips-pe.mt: New file.

1999-05-21  Christopher Faylor  <cgf@cygnus.com>

	* wince.c: New file.  Communicates with Windows CE device.
	* wince-stub.c: New file.  "Stub" code for Windows CE device.
	* wince-stub.h: New file.  Common definitions for CE stub
	communication.
	* sh-tdep.c: Add Windows CE register default.
	* config/sh/sh-pe.mt: New file.
	* config/sh/tm-sh.h: Add Windows CE defines.

1999-05-17  Christopher Faylor  <cgf@cygnus.com>

	* configure.tgt: Add sh-pe and mips-pe targets

Thu Apr 29 17:08:01 1999  Dave Brolley  <brolley@cygnus.com>

	* configure.tgt: Add support for frv.
	* frv-tdep.c: New file.
	* config/frv/tm-frv.h: New file.
	* config/frv/frv.mt: New file.

Tue Oct  6 21:35:10 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* configure.in (--enable-targets): New config option.  Code taken
 	from ../opcode/configure.in.
	(--enable-carp): New config option. Overrides configure.tgt and
 	sets gdb_target + gdb_target_cpu to carp. XXX - this is tempoary.
	* configure: Re-generate.

	* config/carp/carp.mt, config/carp/tm-carp.h: Pseudo configuration
 	for carp target. XXX - this is tempoary.

Sun Nov 23 16:23:37 1997  Andrew Cagney  <cagney@b1.cygnus.com>

	* configure.tgt (gdb_target): Treat vr5400 as a vr5000.


Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
change-log-default-name: "ChangeLog.RedHat"
End:
